#Include common scripts
. /var/packages/CloudStation/target/scripts/CloudStationCommon


cstn_home_change_vol()
{

	local from_loc="$1";
	local to_loc="$2";

	if [ ! -d "${from_loc}/@cloudstation" ]; then
		logger -p 0 "$from_loc/@cloudstation does not exist"
		return;
	fi

	touch "/tmp/sf_repo_mv"

	#In different volumes
	rm -rf "${to_loc}/@cloudstation" > /dev/null 2>&1
	mv "${from_loc}/@cloudstation" "${to_loc}/@cloudstation"  > /dev/null 2>&1

	rm -rf "/tmp/sf_repo_mv"

	logger -p 0 "move homes from $from_loc/@cloudstation to $to_loc/@cloudstation successfully"

	set_db_vol "$CSTN_DB_PATH_DIR/$CSTN_DB_CONF" db-vol "${to_loc}"
}

case $1 in
    --pre)
		# stop all daemon
		${CSTN_START_SCRIPT} stop > /dev/null 2>&1;
    ;;
    --post)
    local ori_vol=`VolPathGet "${ORIGIN_SHARE_PATH}"`
    local new_vol=`VolPathGet "${SHARE_PATH}"`

		# move repo
		logger -p 0 "move from ${ori_vol} to ${new_vol}"
		cstn_home_change_vol "${ori_vol}" "${new_vol}"

		${CSTN_START_SCRIPT} start > /dev/null 2>&1;
	;;
    *)
	echo "Usage: $0 --pre|--post"
    ;;
esac

